[v2,08/11] error: Convert qemu_opts_validate() to QError

Submitted by Markus Armbruster on March 22, 2010, 9:48 a.m.

Details

Message ID 1269251333-20821-9-git-send-email-armbru@redhat.com
State New
Headers show

Commit Message

Markus Armbruster March 22, 2010, 9:48 a.m.
Signed-off-by: Markus Armbruster <armbru@redhat.com>
---
 qemu-option.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

Patch hide | download patch | download mbox

diff --git a/qemu-option.c b/qemu-option.c
index 394c763..1ffc497 100644
--- a/qemu-option.c
+++ b/qemu-option.c
@@ -877,8 +877,7 @@  int qemu_opts_validate(QemuOpts *opts, const QemuOptDesc *desc)
             }
         }
         if (desc[i].name == NULL) {
-            fprintf(stderr, "option \"%s\" is not valid for %s\n",
-                    opt->name, opts->list->name);
+            qerror_report(QERR_INVALID_PARAMETER, opt->name);
             return -1;
         }